Railsbridge Installfest

Contents

Site List

OS X Panther

OS X 10.3-10.5 (Panther, Tiger, Leopard)

Step 1: XCode tools

These are part of OS X, but are not installed by default.

  • Insert your OS X DVD.

  • Look for Xcode.mkpg - it may be under "Optional Installs"

  • Double click to run the installer. It will take a while - the XCode tools are large.

Step 2: Git

Option 1: Leopard or Panther

http://code.google.com/p/git-osx-installer/

Click "Download the packages here" which will take you to a list of downloads. Pick Intel if you have an Intel Mac, and Universal Binary if you have a PowerPC Mac.

Option 2: Tiger

ask a TA to help you install git on Tiger

(you probably want to use MacPorts)

Step 3: Ruby, RubyGems, and Rails

Option 1: Tiger (10.4) and Panther (10.3)

Select the correct download in the right side of the page

Option 2: Leopard (10.5)

use the built-in version of Ruby

Whenever you install a gem using the built-in Ruby you should precede 'gem install' with 'sudo'

Type this in the terminal:
sudo gem install rubygems-update
sudo update_rubygems
sudo gem update --system
sudo gem install rails

If you are having this error:

ERROR:  Error installing rubygems-update: hoe requires RubyGems version >= 1.3.1

Try the steps in this order:

sudo gem update --system
sudo gem install rubygems-update
sudo update_rubygems
sudo gem install rails

For Tiger ONLY:

Step 4: Install KomodoEdit

Step 5: Other required libraries

Type this in the terminal:
sudo gem install heroku --no-rdoc --no-ri

Step 6: Create an SSH key

Next Step:

Railsbridge Docs

Source: https://github.com/railsbridge/docs